<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aqura
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

global $aqura_data;

?>

	<!-- =============== START FOOTER ================ -->
	<section style="background-color:<?php echo esc_attr($aqura_data['footer-color']); ?>;" class="zFooter">
		<div class="footer footerPadding">
			<div class="container">
				<div class="row">
					<div class="col-sm-4">
						<div class="copyFooter">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_attr($aqura_data['copyright']); ?></a>
						</div>
					</div>
					<div class="col-sm-4">
						<nav class="social-icons">
							<ul class="clearfix">
								<?php if(isset($aqura_data)){
									foreach($aqura_data['social'] as $aqura_icon) {
										echo do_shortcode($aqura_icon);
									}
								} ?>
							</ul>
						</nav>
					</div>
					<div class="col-sm-4">
						<div class="goTop" id="back-to-top">
							<i class="fa fa-angle-up"></i>
							<a href="#"><?php esc_html_e('Go Top','aqura'); ?></a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- =============== END FOOTER ================ -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
