<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
$aqura_gallery_images = rwmb_meta( 'aqura_gallery_photos', 'type=image' );
$aqura_gallery_title = rwmb_meta( 'aqura_gallery_title' );

get_header(); ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="before-FullscreenSlider"></div>
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="<?php if ($aqura_feat_image != '') { ?>background-image: url(<?php echo esc_url($aqura_feat_image); ?>);<?php } else { ?> background-color: #333; <?php } ?>" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
						<div class="breadTxt breadSingle">
							<h2>
								<?php if ( $aqura_gallery_title != '' ): ?>
									<?php echo balanceTags($aqura_gallery_title); ?>
								<?php else : ?>
									<?php echo esc_html(get_the_title()); ?>
								<?php endif ?>
							</h2>
							<p>
								<?php echo get_the_date('d M , Y'); ?>
							</p>
							 <a href="#content" data-easing="easeInOutQuint" data-scroll="" data-speed="900" data-url="false">
								<?php esc_html_e('View More','aqura') ?> <i class="fa fa-angle-down"></i>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- =============== END BREADCRUMB ================ -->

	<!-- =============== START GALLERY SECTION ================ -->
	<section id="content">
		<div class="gallerySection">
			<div class="container-fluid" style="padding-left:0; padding-right:0;">
				<div class="col-sm-12">
					<!-- Content Container -->
					<div class="content-container clearfix">
						<!-- Single Album Container -->
						<div id="post-<?php the_ID(); ?>" <?php post_class('single-photo-album-container single-gallery-articles'); ?>>
							<div class="row">
								<?php if ( $aqura_gallery_images != '' ): ?>

									<?php

										foreach ( $aqura_gallery_images as $image ) {

											?>

											<article>
												<!-- Single Album Contant Container -->
												<figure>
													<!-- Single Album Image -->
													<figcaption>
														<!-- Single Album Image -->
														<div class="hovereffect">

															<?php

															$aqura_gallery_images_display = $image['full_url'];

															echo '<img class="img-responsive" src="' . $aqura_gallery_images_display . '" alt="">';


															?>

															<div class="overlay">
															   <a class="info lightbox" href="<?php echo esc_url($aqura_gallery_images_display); ?>"></a>
															</div>

														</div>

													</figcaption>
													<!-- Single Album View Button -->
													
												</figure>

											</article>

											<?php

										}

									?>

								<?php endif ?>						
							</div>
						</div>
					</div>
				</div>
			</div><!-- end container -->
		</div>
	</section>
	<!-- =============== END GALLERY SECTION ================ -->

<?php
get_footer();
