<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aqura
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

global $user_identity;

$aqura_post_sidebar_hide = rwmb_meta( 'post_sidebar_hide' );
$aqura_commenter = wp_get_current_commenter();
$aqura_req = get_option( 'require_name_email' );
$aqura_aria_req = ( $aqura_req ? " aria-required='true'" : '' );

$aqura_fields =  array(
	'author' => '<input id="author" name="author" type="text" value="' . esc_attr($aqura_commenter['comment_author']) . '" ' . $aqura_aria_req . ' placeholder="' . esc_html__('Name... ', 'aqura') . '" />',

	'email' => '<input id="email" name="email" type="text" value="' . esc_attr($aqura_commenter['comment_author_email']) . '" ' . $aqura_aria_req . ' placeholder="' . esc_html__('Email... ', 'aqura') . '"/>',

	'website' => '<input id="website" name="website" type="text" value="' . esc_attr($aqura_commenter['comment_author_email']) . '" ' . $aqura_aria_req . ' placeholder="' . esc_html__('Website... ', 'aqura') . '"/>',

	'comment_field' => '<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" ' .
							'placeholder="' . esc_html__('Your comment ', 'aqura') . '"/>' .
						'</textarea>',
);

$aqura_args = array(
	'id_form'					 => 'commentform',
	'id_submit'				 => 'submit',
	'class_submit'			=> 'submit',
	'name_submit'			 => 'submit',
	'title_reply'			 => esc_html__( 'Leave a comment' , 'aqura' ),
	'title_reply_to'		=> esc_html__( 'Leave a comment to %s' , 'aqura' ),
	'cancel_reply_link' => esc_html__( 'Cancel Reply', 'aqura' ),
	'label_submit'			=> esc_html__( 'Post Comment' , 'aqura' ),
	'format'						=> 'xhtml',
	'comment_field' =>	'',
	'comment_notes_before' => '',
	'fields' => apply_filters( 'comment_form_default_fields', $aqura_fields ),
	'logged_in_as' => '<p class="logged-in-as">' . sprintf( esc_html__('Logged in as ', 'aqura') . '<a href="%1$s">%2$s</a>. <a href="%3$s" title="' . esc_html__('Log out of this account ', 'aqura') . '">' . esc_html__('Log out?', 'aqura') . '</a>', admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</p>' . $aqura_fields['comment_field']
);

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php

			while ( have_posts() ) : the_post();

				the_content();

			endwhile; // End of the loop.

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'aqura' ),
				'after'  => '</div>',
			) );
		?>
		<div id="comments">

		<?php

			do_all_pings();

			if ( get_comments_number() ) :
				comments_template();
			endif;

		?>

		</div>

		<div class="singleBlogForm">
			<?php comment_form( $aqura_args ); ?>
		</div>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post */
					esc_html__( 'Edit %s', 'aqura' ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				),
				'<span class="edit-link">',
				'</span>'
			);
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
