<?php

/* Template Name: Template Albums Grid */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_title = rwmb_meta( 'aqura_single_article_title' );
$aqura_small_description = rwmb_meta( 'aqura_small_description' );
$aqura_posts_per_page = rwmb_meta( 'aqura_posts_per_page' );

if ( $aqura_posts_per_page == '' ) {
	$aqura_posts_per_page = 5;
}

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );

get_header();

	if ( $aqura_feat_image ) { ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="display:block;background-image: url(<?php echo esc_url($aqura_feat_image); ?>);" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
					</div>
				</div>
			</div>
		</div>
	</section>
	<div id="content"></div>
	<!-- =============== END BREADCRUMB ================ -->

	<?php } ?>

	<!-- =============== START BLOG SIDEBAR-RIGHT ================ -->
	<section class="aquraFilter padding">
		<div class="container">
			<!-- start blog-filter-category -->
			<div class="categories">
				<ul class="clearfix" data-option-key="filter">
					<li>
						<a href="#">
							<i class="fa fa-filter"></i>
						</a>
					</li>
					<li>
						<a href="#" class="selected" data-option-value="*">
							<?php esc_html_e('All','aqura'); ?>
						</a>
					</li>
					<?php

						function aqura_list_my_categories_albums() {

							$aqura_taxonomy = 'albums-category';
							$aqura_tax_terms  = get_terms($aqura_taxonomy);
							$aqura_html = '';

							foreach ($aqura_tax_terms as $tax_term) {

								$aqura_lowercase_cat = strtolower($tax_term->name);
								$aqura_cat_replace = preg_replace('/\s+/', '-', $aqura_lowercase_cat);

								$aqura_html .= '<li>';
									$aqura_html .= '<a href="#" data-option-value=".albums-category-' . $aqura_cat_replace . '">' ;
										$aqura_html .= $tax_term->name;
									$aqura_html .= '</a>';
								$aqura_html .= '</li>';

							}

							return $aqura_html;
						}

						echo aqura_list_my_categories_albums();

					?>
				</ul>
			</div><!--end categories-->
			<!-- end blog-filter-category -->
			<!-- start filter -->
			<div class="aqura-filter-content list-albums">
				<ul class="list-feature clearfix">
					<?php

						$aqura_args = array(
							'post_type'		 => 'albums',
							'post_status'	   => 'publish',
							// 'posts_per_page'	=> 6,
							'tax_query'		 => ( !empty($cats) ? array(
									array(
										'taxonomy' => 'albums-category',
										'field' => 'id',
										'terms' => $cats
									),
								) : false )
						);

						global $wp_query;

						$aqura_query = new WP_Query($aqura_args);

						// Pagination fix
						$aqura_temp_query  = $wp_query;
						$wp_query	 = NULL;
						$wp_query	 = $aqura_query;

						if ( $aqura_query->have_posts() ) {

							while ( $aqura_query->have_posts() ) {

								$aqura_query->the_post();

								$aqura_album_catalog = rwmb_meta( 'aqura_album_catalog' );

								$aqura_cover_album = rwmb_meta( 'aqura_cover_album', 'type=image' );

								foreach ( $aqura_cover_album as $image ) {

									$aqura_cover_album_display = $image['full_url'];
								}

								$aqura_disk_album = rwmb_meta( 'aqura_disk_image', 'type=image' );

								foreach ( $aqura_disk_album as $image ) {

									$aqura_disk_album_display = $image['full_url'];
								}
								
								?>

									<li <?php post_class('col-md-3 col-sm-3 col-xs-12');?>>
										<div class="album-icon">
											<span class="thumbs-album">
												<a href="<?php echo esc_url(get_permalink()); ?>">
													<img width="270" height="270" class="attachment-album-thumbnail wp-post-image" alt="album-cover" src="<?php echo esc_url($aqura_cover_album_display) ?>">
												</a>
											</span>
											<span class="disk" style="background-image: url(<?php echo esc_url($aqura_disk_album_display) ?>);"></span>
										</div><!-- END ALBUM ICON -->
										<div class="name">
											<h3>
												<?php echo esc_html(get_the_title()); ?>
											</h3>						
											<p>
												<?php echo esc_html($aqura_album_catalog); ?>
											</p>								
										</div><!-- end name -->
									</li><!-- end blogBox -->

								<?php

							}

						}

					?>
				</ul>
			</div><!-- end aqura-filter-cotent -->
		</div><!-- end col-sm-12 -->
	</section>
	<!-- =============== END BLOG SIDEBAR-RIGHT ================ -->

	<?php

		wp_reset_postdata();

		// Reset main query object
		$wp_query = NULL;
		$wp_query = $aqura_temp_query ;

	?>

<?php
get_footer();
