<?php
/* Template Name: Template Contact */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

global $aqura_data;

$aqura_contact_email = $aqura_data['contact-email'];
$aqura_contact_phone = $aqura_data['contact-phone'];
$aqura_contact_fax = $aqura_data['contact-fax'];

$aqura_title = rwmb_meta( 'aqura_single_article_title' );
$aqura_small_description = rwmb_meta( 'aqura_small_description' );
$aqura_view_more_text = rwmb_meta( 'aqura_view_more_text' );
$aqura_contact_title = rwmb_meta( 'aqura_contact_title' );
$aqura_contact_bg = rwmb_meta( 'aqura_contact_background', 'type=image' );

foreach ( $aqura_contact_bg as $image ) {

	$aqura_contact_bg_display = $image['full_url'];
}

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );

get_header();

	if ( $aqura_feat_image ) { ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="background-image: url(<?php echo esc_url($aqura_feat_image); ?>);" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
						<div class="breadTxt">
							<h1>
								<?php if ( $aqura_title != '' ): ?>
									<?php echo esc_html($aqura_title); ?>
								<?php else: ?>
									<?php echo esc_html(get_the_title()); ?>
								<?php endif ?>
							</h1>
							<p>
								<?php echo balanceTags($aqura_small_description); ?>
							</p>
							<a href="#content" data-easing="easeInOutQuint" data-scroll="" data-speed="900" data-url="false">
								<?php

                            		if ( $aqura_view_more_text != '' ) {
                            			echo esc_html($aqura_view_more_text);
                            		} else {
                            			esc_html_e( 'View More' , 'aqura');
                            		}

                            	?> <i class="fa fa-angle-down"></i>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div id="content"></div>
	<!-- =============== END BREADCRUMB ================ -->

	<?php } ?>

	<!-- =============== START CONTACT ================ -->
	<section class="contactSingle padding background-properties" style="background-image:url(<?php echo esc_url($aqura_contact_bg_display); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-sm-4">
					<div class="contactTop">
						<?php

							while ( have_posts() ) : the_post();

								the_content();

							endwhile; // End of the loop.

						?>
						<div class="contactInfo">
							<ul>
								<?php if ( $aqura_contact_email != '' ): ?>

									<li>
										<?php esc_html_e( 'Email: ' , 'aqura' ) ?>
										<a>
											<?php echo esc_html($aqura_contact_email); ?>
										</a>
									</li>

								<?php endif ?>
								<?php if ( $aqura_contact_phone != '' ): ?>

									<li>
										<?php esc_html_e( 'Phone: ' , 'aqura' ) ?>
										<a>
											<?php

												foreach($aqura_contact_phone as $phone) {
													echo esc_html($phone) . "<br>";
												}

											?>
										</a>
									</li>

								<?php endif ?>
								<?php if ( $aqura_contact_fax != '' ): ?>

									<li>
										<?php esc_html_e( 'Fax: ' , 'aqura' ) ?>
										<a>
											<?php

												foreach($aqura_contact_fax as $fax) {
													echo esc_html($fax) . "<br>";
												}

											?>
										</a>
									</li>

								<?php endif ?>
							</ul>
						</div>
					</div>
				</div><!-- end col-sm-4 -->
				<div class="col-sm-7 col-sm-offset-1">
					<div class="singleBlogForm">
						<h2>
							
							<?php if ( $aqura_contact_title == '' ): ?>
						
								<?php esc_html_e( 'Get in Touch' , 'aqura' ) ?>

							<?php else : ?>

								<?php echo esc_html($aqura_contact_title); ?>

							<?php endif ?>

						</h2>
						<?php

							echo do_shortcode( '[contact-form-7 id="'. rwmb_meta('aqura_contact_form_id') .'" title="Contact Form"]' );

						?>
					</div><!-- end contactForm -->
				</div><!-- end col-sm-7 col-sm-offset-1 -->
			</div>
		</div><!-- end container -->
	</section>
	<!-- =============== END CONTACT ================ -->

	<!-- =============== START MAP ================ -->
	<section class="googleMap">
		<div class="container-fluid">
			<div class="row">
				<div class="col-sm-12">
					<?php

						global $aqura_data;

						$php_array = array(
							'geometry' => $aqura_data['geometry'],
							'labels_text_stroke' => $aqura_data['labels_text_stroke'],
							'labels_text_fill' => $aqura_data['labels_text_fill'],
							'geometry_poi_park' => $aqura_data['geometry_poi_park'],
							'geometry_road' => $aqura_data['geometry_road'],
							'geometry_road_stroke' => $aqura_data['geometry_road_stroke'],
							'geometry_road_highway' => $aqura_data['geometry_road_highway'],
							'geometry_road_highway_stroke' => $aqura_data['geometry_road_highway_stroke'],
							'geometry_transit' => $aqura_data['geometry_transit'],
							'geometry_water' => $aqura_data['geometry_water'],
							'geometry_water_stroke' => $aqura_data['geometry_water_stroke'],
							'water_text' => $aqura_data['water_text'],
							'administrative_locality_text' => $aqura_data['administrative_locality_text'],
							'poi_text' => $aqura_data['poi_text'],
							'poi_park_text' => $aqura_data['poi_park_text'],
							'road_text' => $aqura_data['road_text'],
							'roa_highway_text' => $aqura_data['roa_highway_text'],
							'transit_station_text' => $aqura_data['transit_station_text'],
						);
						wp_localize_script('map', 'php_array', $php_array);

					?>
					<?php if(isset($aqura_data) && $aqura_data['contact-address'] != '') {echo aqura_get_google_maps($aqura_data['contact-address']);} ?>
				</div>
			</div>
		</div>

	</section>
	<!-- =============== END MAP ================ -->

<?php
get_footer();
