<?php
/* Template Name: Template Empty */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_title = rwmb_meta( 'aqura_single_article_title' );
$aqura_small_description = rwmb_meta( 'aqura_small_description' );
$aqura_view_more_text = rwmb_meta( 'aqura_view_more_text' );

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );

get_header();

	if ( $aqura_feat_image ) { ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="background-image: url(<?php echo esc_url($aqura_feat_image); ?>);" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
						<div class="breadTxt">
							<h1>
								<?php if ( $aqura_title != '' ): ?>
									<?php echo esc_html($aqura_title); ?>
								<?php else: ?>
									<?php echo esc_html(get_the_title()); ?>
								<?php endif ?>
							</h1>
							<p>
								<?php echo balanceTags($aqura_small_description); ?>
							</p>
							<a href="#content" data-easing="easeInOutQuint" data-scroll="" data-speed="900" data-url="false">
								<?php

                            		if ( $aqura_view_more_text != '' ) {
                            			echo esc_html($aqura_view_more_text);
                            		} else {
                            			esc_html_e( 'View More' , 'aqura');
                            		}

                            	?> <i class="fa fa-angle-down"></i>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div id="content"></div>
	<!-- =============== END BREADCRUMB ================ -->

	<?php } ?>

	<section class="clearfix">
		<div class="container">
			<div class="col-sm-12">
				<?php

					while ( have_posts() ) : the_post();

						the_content();

					endwhile; // End of the loop.

				?>
			</div>
		</div>
	</section>

<?php
get_footer();
