<?php

/* Template Name: Template Gallery Grid */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_title = rwmb_meta( 'aqura_single_article_title' );
$aqura_small_description = rwmb_meta( 'aqura_small_description' );
$aqura_view_more_text = rwmb_meta( 'aqura_view_more_text' );

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );

get_header();

	if ( $aqura_feat_image ) { ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="background-image: url(<?php echo esc_url($aqura_feat_image); ?>);" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
						<div class="breadTxt">
							<h1>
								<?php if ( $aqura_title != '' ): ?>
									<?php echo esc_html($aqura_title); ?>
								<?php else: ?>
									<?php echo esc_html(get_the_title()); ?>
								<?php endif ?>
							</h1>
							<p>
								<?php echo balanceTags($aqura_small_description); ?>
							</p>
							<a href="#content" data-easing="easeInOutQuint" data-scroll="" data-speed="900" data-url="false">
								<?php

                            		if ( $aqura_view_more_text != '' ) {
                            			echo esc_html($aqura_view_more_text);
                            		} else {
                            			esc_html_e( 'View More' , 'aqura');
                            		}

                            	?> <i class="fa fa-angle-down"></i> <i class="fa fa-angle-down"></i>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div id="content"></div>
	<!-- =============== END BREADCRUMB ================ -->

	<?php } ?>

	<!-- =============== START BLOG SIDEBAR-RIGHT ================ -->
	<section class="gallerySection padding">
		<div class="container">
			<div class="row">
				<div class="col-sm-12 col-xs-12">
					<div class="single-photo-album-container">
						<?php

							$aqura_args = array(
								'post_type'		 => 'gallery',
								'post_status'	   => 'publish',
								// 'posts_per_page'	=> 6,
								'tax_query'		 => ( !empty($cats) ? array(
										array(
											'taxonomy' => 'gallery-category',
											'field' => 'id',
											'terms' => $cats
										),
									) : false ),
							);

							global $wp_query;

							$aqura_query = new WP_Query($aqura_args);

							// Pagination fix
							$aqura_temp_query  = $wp_query;
							$wp_query	 = NULL;
							$wp_query	 = $aqura_query;

							if ( $aqura_query->have_posts() ) {

								while ( $aqura_query->have_posts() ) {

									$aqura_query->the_post();

									$aqura_gallery_title = rwmb_meta( 'aqura_gallery_title' );

									$gallery_thumb = rwmb_meta( 'aqura_gallery_thumbnail', 'type=image' );

									foreach ( $gallery_thumb as $image ) {

										$gallery_thumb_display = $image['full_url'];
									}
									
									?>

										<article <?php post_class('col-sm-4');?>>
											<!-- Single Album Contant Container -->
											<figure>
												<!-- Single Album Image -->
												<figcaption>
													<div class="hovereffect">
														<img class="img-responsive" src="<?php echo esc_url($gallery_thumb_display); ?>" alt="">
														<div class="overlay">
															<a href="<?php echo esc_url(get_permalink()); ?>" class="info"></a>
														</div>
													</div>
												</figcaption>
											</figure>
										</article><!-- end blogBox -->

									<?php

								}

							}

						?>
					</div><!-- end aqura-filter-cotent -->
				</div><!-- end col-sm-12 -->
			</div><!-- end row -->
		</div><!-- end container -->
	</section>
	<!-- =============== END BLOG SIDEBAR-RIGHT ================ -->

	<?php

		wp_reset_postdata();

		// Reset main query object
		$wp_query = NULL;
		$wp_query = $aqura_temp_query ;

	?>

<?php
get_footer();
