<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php
	/**
	 * woocommerce_before_single_product hook
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>

<section class="paddingShopSingle">
<div class="container">
<div class="row">

<article itemscope itemtype="<?php echo woocommerce_get_product_schema(); ?>" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="col-sm-7 clothing">

		<?php

			$img_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
			$img_url = $img_url[0]

		?>

		<a href="<?php echo esc_url($img_url); ?>" class="zoom" rel="prettyPhoto[product-gallery]">
			<img src="<?php echo esc_url($img_url); ?>" class="attachment-shop_thumbnail size-shop_thumbnail" alt="">
		</a>
		
		<div class="products">
			<?php
				/**
				 * woocommerce_before_single_product_summary hook
				 *
				 * @hooked woocommerce_show_product_sale_flash - 10
				 * @hooked woocommerce_show_product_images - 20
				 */
				do_action( 'woocommerce_before_single_product_summary' );
			?>
		</div>
	
	</div>

	<div class="col-sm-5">

		<div class="productDetails">

			<?php woocommerce_breadcrumb(); ?>
			
			<?php woocommerce_show_product_sale_flash(); ?>
			
			<div class="padding-content">
		
				<div class="header-shop-single clearfix summary entry-summary">
					
					<?php
						/**
						 * woocommerce_single_product_summary hook
						 *
						 * @hooked woocommerce_template_single_title - 5
						 * @hooked woocommerce_template_single_rating - 10
						 * @hooked woocommerce_template_single_price - 10
						 * @hooked woocommerce_template_single_excerpt - 20
						 * @hooked woocommerce_template_single_add_to_cart - 30
						 * @hooked woocommerce_template_single_meta - 40
						 * @hooked woocommerce_template_single_sharing - 50
						 */
						do_action( 'woocommerce_single_product_summary' );
					?>
			
				</div><!-- .summary -->
			
			</div>

		</div>
		
	</div>
	
	<meta itemprop="url" content="<?php the_permalink(); ?>" />

</article><!-- #product-<?php the_ID(); ?> -->

</div>
</div>
</section>

<section>
	<div class="shopTab">
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<?php
						remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15);
						remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);
						/**
						 * woocommerce_after_single_product_summary hook
						 *
						 * @hooked woocommerce_output_product_data_tabs - 10
						 * @hooked woocommerce_upsell_display - 15
						 * @hooked woocommerce_output_related_products - 20
						 */
						do_action( 'woocommerce_after_single_product_summary' );

					?>
				</div><!-- end col-sm-12 -->
			</div><!-- end row -->
		</div><!-- end container -->
	</div><!-- end shopTap -->
</section>

<?php

global $product;

$upsells = $product->get_upsells();

if ( sizeof($upsells) == 0 ) {
	
} else {

?>

<section class="shopHomePage paddingTop">
	<div class="shopSection">
		<div class="container-fluid">
			<div class="shopContent">

				<div class="sectionTitle paddingBottom">
					<span class="heading-t3"></span>
					<h2><a>
						<?php esc_html_e( 'Related Product' , 'aqura' ) ?>
					</a></h2>
					<span class="heading-b3"></span>
				</div><!-- end sectionTtile -->	

				<div class="row">
					<?php

						woocommerce_upsell_display();

					?>
				</div>

			</div>
		</div>
	</div>
</section>

<?php

}

?>

<?php do_action( 'woocommerce_after_single_product' ); ?>