<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_next_event {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'next_event', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $ne_title = $ne_start_date = $ne_img = $ne_url = $ne_description = '';

		extract( shortcode_atts( array(
			'ne_title'			=> 'Next Event',
			'ne_start_date'		=> '2016/10/23',
			'ne_img'			=> '',
			'ne_url'			=> '#',
			'ne_description'	=> ''
		), $atts ) );

		$ne_img_src = wp_get_attachment_image_src($ne_img, "large");

		$output .= '<div class="countdownSection">';
			$output .= '<div class="row">';
				$output .= '<div class="col-sm-12">';
					$output .= '<div class="countdownTitle">';
						$output .= '<h4>' . $ne_title . '</h4>';
						if ( $ne_img_src[0] != '' ) {
							$output .= '<a href="' . $ne_url . '" target="_blank"><img src="' . $ne_img_src[0] . '" alt="Event"></a>';
						} else if ( $ne_description != '' ) {
							$output .= '<h2><a href="' . $ne_url . '" target="_blank">' . $ne_description . '</h2></a>';
						}
					$output .= '</div>';
					$output .= '<div class="sm-countdown sm_content_element sm-style2" id="sm_countdown-19" data-date="'.$ne_start_date.'">';
						$output .= '<div class="displayCounter">';
							$output .= '<div class="column">';
								$output .= '<div class="sm_countdown_inner">';
									$output .= '<input class="element days" readonly="readonly" data-min="0" data-max="365" data-width="200" data-height="200" data-thickness="0.15" data-fgcolor="#fff" data-bgcolor="#8e8d8d" data-angleoffset="180">';
									$output .= '<span class="unit days-title">days</span>';
								$output .= '</div>';
							$output .= '</div>';
							$output .= '<div class="column">';
								$output .= '<div class="sm_countdown_inner">';
									$output .= '<input class="element hour" readonly="readonly" data-min="0" data-max="24" data-width="200" data-height="200" data-thickness="0.15" data-fgcolor="#fff" data-bgcolor="#8e8d8d" data-angleoffset="180">';
									$output .= '<span class="unit hours-title">hrs</span>';
								$output .= '</div>';
							$output .= '</div>';
							$output .= '<div class="column">';
								$output .= '<div class="sm_countdown_inner">';
									$output .= '<input class="element minute" readonly="readonly" data-min="0" data-max="60" data-width="200" data-height="200" data-thickness="0.15" data-fgcolor="#fff" data-bgcolor="#8e8d8d" data-angleoffset="180">';
									$output .= '<span class="unit mins-title">min</span>';
								$output .= '</div>';
							$output .= '</div>';
							$output .= '<div class="column">';
								$output .= '<div class="sm_countdown_inner">';
									$output .= '<input class="element second" readonly="readonly" data-min="0" data-max="60" data-width="200" data-height="200" data-thickness="0.15" data-fgcolor="#fff" data-bgcolor="#8e8d8d" data-angleoffset="180">';
									$output .= '<span class="unit secs-title">sec</span>';
								$output .= '</div>';
							$output .= '</div>';
						$output .= '</div>';
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</div>';

		return $output;
	}

}

AQURA_next_event::get_instance();