<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_section_title {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'section_title', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $section_text_title = $title_link = $margin_bottom_check = $section_description = '';

		extract( shortcode_atts( array(
			'section_text_title'	=> 'The Title',
			'title_link'			=> '#',
			'margin_bottom_check' 	=> '',
			'section_description' 	=> ''
		), $atts ) );

		$margin_bottom_class = '';

		if ( $margin_bottom_check ) {
			
			$margin_bottom_class = 'paddingBottom';

		}

		$output .= '<div class="sectionTitle ' . $margin_bottom_class . '">';
			$output .= '<span class="heading-t3"></span>';
			$output .= '<h2><a href="' . $title_link . '">' . $section_text_title . '</a></h2>';
			$output .= '<span class="heading-b3"></span>';
			if ( !$section_description == '' ) {
				$output .= '<p>'. $section_description .'</p>';
			}
		$output .= '</div>';

		return $output;
	}

}

AQURA_section_title::get_instance();